Package csb :: Package core :: Class ReadOnlyCollectionContainer

[frames] | no frames]

# Class ReadOnlyCollectionContainer

source code

             object --+
                      |
        AbstractIndexer --+
                          |
    BaseCollectionContainer --+
                              |
                             ReadOnlyCollectionContainer

Known Subclasses:
  - bio.sequence.SequenceCollection
  - , bio.io.clans.ClansEntryCollection
  - , bio.io.clans.ClansSeqgroupCollection

This is a write-once container, which is filled with items only at object construction.

Instance Methods
Inherited from `BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__init__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`